CREATE TABLE ben_yr_perd (
    YR_PERD_ID               NUMBER(18, 0),
    PERDS_IN_YR_NUM          NUMBER(18, 0),
    PERD_TM_UOM_CD           VARCHAR2(120),
    PERD_TYP_CD              VARCHAR2(120),
    END_DATE                 DATE             NOT NULL,
    START_DATE               DATE             NOT NULL,
    LMTN_YR_STRT_DT          DATE         ,
    LMTN_YR_END_DT           DATE         ,
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    YR_PERD_ID               NUMBER(18, 0),
    PERDS_IN_YR_NUM          NUMBER(18, 0),
    PERD_TM_UOM_CD           VARCHAR2(120),
    PERD_TYP_CD              VARCHAR2(120),
    END_DATE                 DATE             NOT NULL,
    START_DATE               DATE             NOT NULL,
    LMTN_YR_STRT_DT          DATE         ,
    LMTN_YR_END_DT           DATE         ,
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ben_yr_perd PRIMARY KEY (YR_PERD_ID, YR_PERD_ID)
);
